slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetTolerances

Sets the tolerance and maximum iteration count used by the EPS convergence tests.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetTolerances(EPS eps,PetscReal tol,PetscInt maxits)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| tol | - the convergence tolerance
| maxits | - maximum number of iterations to use

### Options Database Keys

| -eps_tol <tol> | - Sets the convergence tolerance
| -eps_max_it <maxits> | - Sets the maximum number of iterations allowed

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

EPSGetTolerances()

### Level

intermediate

### Location

src/eps/interface/epsopts.c

### Examples

src/eps/tutorials/ex19.c
src/eps/tutorials/ex30.c
src/eps/tutorials/ex47.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages